### Function

# Fwupd Device flag_from_string

since: 0.7.0

#### Declaration [src]

    FwupdDeviceFlags
    fwupd_device_flag_from_string (
      const gchar* device_flag
    )

#### Description [src]

Converts a string to an enumerated device flag.

Available since: 0.7.0

#### Parameters

`device_flag`

  Type: `const gchar*`

  A string, e.g. `require-ac`

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdDeviceFlags`

Enumerated value.